<!-- markdownlint-disable MD041 -->

- Getting started
  - [Introduction](README.md)
  - [Quick Start](getting-started/quick-start.md)
  - [Using Docker](getting-started/docker.md)
  - [Other Methods](getting-started/other-methods.md)

- Usage

  - [Setup](usage/setup.md)
  - [Managing Nodes](usage/nodes-management.md)
  - [Accessing From Behind a Proxy](usage/reverse-proxy.md)
  - [Driver function](usage/driver_function.md)
  - [Nodes Healthcheck](usage/nodes_healthcheck.md)

- Device Support
  - [Supported and "Unknown" Devices](device-support/supported-unknown-devices.md)
  - [Polling Legacy Z-Wave Devices](device-support/polling.md)
  - [Contributing Device Files](https://zwave-js.github.io/node-zwave-js/#/config-files/contributing-files)
  - [Request Device Additions](https://github.com/zwave-js/node-zwave-js/issues/new?assignees=&labels=config+%E2%9A%99&template=device_config.yml&title=Missing+device+configuration%3A+%3Center+manufacturer+and+device+name%3E)
  - [Using Custom Device Files](device-support/custom-device-files.md)

- Home Assistant

  - [Using the Official Integration](homeassistant/homeassistant-official.md)
  - [Using MQTT Discovery](homeassistant/homeassistant-mqtt.md)
  - [Accessing from Home Assistant](homeassistant/accessing-lovelace.md)

- MQTT

  - [Using MQTT](guide/mqtt.md)

- Miscellaneous

  - [Healthcheck](guide/healthcheck.md)
  - [Z2M Migration](guide/migrating.md)
  - [Environment Variables](guide/env-vars.md)
  - [FAQ](guide/faq.md)
  - [Plugins](guide/plugins.md)

- Troubleshooting

  - [Generating Logs](troubleshooting/generating-logs.md)
  - [Bug Report](troubleshooting/bug_report.md)
  - [Startup crash](troubleshooting/app_crash.md)

- Development

  - [Introduction](development/intro.md)
  - [Building Custom Docker Images](development/custom-docker.md)

- [Usage Statistics](usage_stats.md)
- [Screenshots](screenshots.md)
- [Thanks](thanks.md)
- [Author](author.md)
